XmComboBoxAddItem(3)

NAME
XmComboBoxAddItem — add an item to the ComboBox widget

SYNOPSIS

#include <Xm/ComboBox.h>
void XmComboBoxAddItem(
Widget w,
XmString item,
int pos,
Boolean unique);

DESCRIPTION

The XmComboBoxAddItem function adds the given item to the XmComboBox at the given position.

The w argument specifies the XmComboBox widget ID.

The item argument specifies the XmString for the new item.

The pos argument specifies the position of the new item.

The unique argument specifies if this item should duplicate an identical item or not.

RETURN VALUE

The XmComboBoxAddItem function returns no value.

APPLICATION USAGE

The functions XmComboBoxAddItem and XmComboBoxDeletePos have different naming conventions (Item versus Pos) because of the objects they are manipulating. The Item is a string to be added, the Pos is a numeric position number.

SEE ALSO

XmComboBoxDeletePos(3), XmComboBoxSetItem(3), XmComboBoxSelectItem(3).